> For the complete documentation index, see [llms.txt](https://docs.rocketfuel.inc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rocketfuel.inc/developer-guides/api-reference/payins/utility-apis/order-info.md).

# Order info

The RKFL provides an API to return the cart information to display on the payment page. However, the merchant website already has the cart information to show on any page, and the RKFL API is optional.

The idea of the cart info on the payment page is similar to the below image. Please note that in the order details section, the shopper has two items including one subscription item. The RKFL supports only the exchange payment for subscription items, so the rest of the tabs are disabled.

![](/files/AsMwGPb4Qx6c3lRwlEVn)

<mark style="color:blue;">`GET`</mark> `/invoices?uuid={uuid}`

![](/files/LzLdq4kvD9pupzLBp9ED) The "uuid" returns in the response of "POST /invoices"&#x20;

#### Query Parameters

| Name                                   | Type   | Description     |
| -------------------------------------- | ------ | --------------- |
| uuid<mark style="color:red;">\*</mark> | String | UUID of invoice |

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | "Bearer" + merchant access token |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
  "ok": true,
  "result": {
    "returnval": {
      "cart": [
        {
          "id": "2779",
          "name": "Mouse",
          "price": 3,
          "quantity": 2
        },
        {
          "id": "2683",
          "name": "Each 3rd Month",
          "price": 28,
          "quantity": 1,
          "frequency": "quarterly",
          "isSubscription": true,
          "merchantSubscriptionId": "c7af15070d784b4fa11ac19ffa984059-2683"
        }
      ],
      "order": "c7af15070d784b4fa11ac19ffa984059",
      "amount": "34",
      "currency": "USD",
      "encrypted": "TiFeyfAMzrZfOhgP13oKVTV+r8lVS2EX7S+2DYBS3GfNboAw09rwTeUow370uKj35d3S1WKFFd1wH71+H/9DNGJUxkEoHLjYJhvtY7HzqzyhPti08Ms53tN9Y+i/RLpTSnO2nnsV868RNG+JurE3NwvBLCpWeEvE50fyrnJcYj9qdDKhUzFzVGhUYICL/z50tOmnBfc7Onxe/8COmW7bLZDcRGtlO1I69DujhpZP4xql98UNZNgD+7se2QIq3YQLLIpYHfRx91YgINI0sj1WT68/iznVYYg1zhYtogbBjtytr/8xhF9d/WxaDAgl3YQPRxOE6NYt9myUVYJcpRpQyQ==",
      "merchant_id": "2335689b-7a4d-420a-9cc0-f5d765a96967",
      "redirectUrl": "",
      "shippingAddress": null,
      "username": "mfvth",
      "companyName": "Hush Puppies "
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rocketfuel.inc/developer-guides/api-reference/payins/utility-apis/order-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
